Redmine - Defect #3699

Problem with sqlquery in journal.rb
2009-07-31 00:23 - Lukasz Zbikowski

Status: Closed Start date: 2009-07-31
Priority: Normal Due date:

Assignee: Eric Davis % Done: 70%
Category: Database Estimated time: 1.00 hour

Target version:

Resolution: Wont fix Affected version: 0.8.4

Description

I noticed that problem on IRC channel... then created that solution.
In Oracle DB RM throws SQL error.

It's caused by
"#{Journal.table_name}.notes <>

In Oracle DB RoR text is translated to CLOB...
Unfortunately Oracle CLOB cannot be compared with string like that...

solution is:
length(#{Journal.table_name}.notes)>0

tested with PgSQL.
Should also work with other DB.

My diff (RM 8.4) in the attachment

History

#1 - 2009-10-15 15:20 - Ben Wagaman

+1

| have the same issue with Oracle. After applying this patch, the issue is fixed in Oracle for me as well. Thank you.

#2 - 2009-11-11 19:53 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Wont fix

Oracle is not supported. Sorry.

Files
journal.rb.diff 1.14 KB 2009-07-30 tukasz Zbikowski
